## astyle 1.11.5

=== Makefile ===
# "Artistic Style" Makefile

CPPFLAGS = -O2 -W
OBJS = ASResource.o ASBeautifier.o ASFormatter.o astyle_main.o

astyle: $(OBJS)
	g++ $(CPPFLAGS) -o astyle  $(OBJS)

.cpp.o:
	g++ $(CPPFLAGS) -c $<
.SUFFIXES: .cpp .c .o

clean:
	rm *.o
