## astyle 1.23

=== buildintel/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # NOTE for java compiles the environment variable $JAVA_HOME must be set
 # example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 ifndef JAVA_HOME
-#    JAVA_HOME = /usr/lib/jvm/java-1.5.0-sun-1.5.0.10
-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.00
+#   JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.06
+	JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.10
 endif
 
 # set prefix if not defined on the command line
@@ -28,8 +28,10 @@
 bindir = ../bin
 objdir = obj
 ipath=$(prefix)/bin
-# -gxx-name=g++-4.1 is temporary because intel does not work with gcc 4.2 compiler
-CBASEFLAGS = -Wall -fno-rtti -fno-exceptions -gxx-name=g++-4.1
+# -vec-report0 turns off BLOCK WAS VECTORIZED warnings. To disable vectorization use -mia32 instead.
+# -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
+# if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
+CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
 JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 CXX = icpc
 INSTALL=install -o $(USER) -g $(USER)
@@ -60,12 +62,12 @@
 # define object file rule (with the suffix) for each build
 
 # OBJ
-$(objdir)/%.o:  %.cpp  astyle.h
+$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
 	$(CXX) $(CFLAGS) -c -o $@ $<
 
 # OBJd
-$(objdir)/%_d.o:  %.cpp  astyle.h
+$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
 	$(CXX) $(CFLAGSd) -c -o $@ $<
