=== build/intel/Makefile ===
--- 
+++ 
@@ -1,5 +1,16 @@
-# Make file for Intel compiler on Linux
+# Make file for Intel compiler on Linux or compatible OS
 # The license.html file describes the conditions under which this software may be distributed.
+#
+# Before running "make" the COMPILER environment variables must be set.
+# The file iccvars.sh should have been copied to /usr/sbin.
+# To set the environment variables "source" the compiler environment script:
+#     source iccvars.sh <arg>
+#            where <arg> is ia32, intel64, or ia64.
+# Refer to the install instructions for details.
+#
+# IF YOU GET AN ERROR MESSAGE:
+# *** No rule to make target `obj/astyle_main.o', needed by `astyle'.
+# SEE THE ABOVE INSTRUCTIONS.
 
 # list of source files
 SRC = astyle_main.cpp \
@@ -15,14 +26,17 @@
 # NOTE for java compiles the environment variable $JAVA_HOME must be set
 # example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
 ifndef JAVA_HOME
-    JAVA_HOME = /usr/lib/jvm/java-6-sun-1.6.0.16
+    JAVA_HOME = /usr/lib/jvm/default-java
 endif
 
 # set prefix if not defined on the command line
 ifndef prefix
     prefix=/usr
 endif
-SYSCONF_PATH=$(prefix)/share/astyle
+SYSCONF_PATH=$(prefix)/share/doc/astyle
+# the path was changed in release 2.01
+# SYSCONF_PATH_OLD may be removed at the appropriate time
+SYSCONF_PATH_OLD=$(prefix)/share/astyle
 
 # define macros
 bindir = bin
@@ -32,21 +46,35 @@
 # -no-multibyte-chars is a temporary compiler bug work-around, http://software.intel.com/en-us/forums/intel-c-compiler/topic/56258
 # if the intel compiler version doesn't support the current GCC headers use -gxx-name=g++-4.x where x is a previous GCC compiler 
 CBASEFLAGS = -w2 -Wall -fno-rtti -fno-exceptions -vec-report0 -no-multibyte-chars
-JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+JAVAINCS   = -I$(JAVA_HOME)/include
 CXX = icpc
 INSTALL=install -o $(USER) -g $(USER)
 
 ##################################################
 
 # define compile options for each build
-CFLAGS   = -DNDEBUG -O3 $(CBASEFLAGS)
-CFLAGSd  = -g $(CBASEFLAGS)
-CFLAGSs  = -DNDEBUG -DASTYLE_LIB -O3 -fpic $(CBASEFLAGS)
-CFLAGSsd = -DASTYLE_LIB -g -fpic $(CBASEFLAGS)
-CFLAGSa  = -DNDEBUG -DASTYLE_LIB -O3 $(CBASEFLAGS)
-CFLAGSad = -DASTYLE_LIB -g $(CBASEFLAGS)
-CFLAGSsj  = -DNDEBUG -DASTYLE_JNI -O3 -fpic $(CBASEFLAGS) $(JAVAINCS)
-CFLAGSsjd = -DASTYLE_JNI -g -fpic $(CBASEFLAGS) $(JAVAINCS)
+ifdef CFLAGS
+    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
+else 
+    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
+    CFLAGSd   = -g $(CBASEFLAGS)
+endif
+CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
+CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
+CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
+CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
+CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
+CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)
+
+# define link options
+ifdef LDFLAGS
+    LDFLAGSr   = $(LDFLAGS)
+    LDFLAGSd   = $(LDFLAGS)
+else
+    LDFLAGSr   = -static-intel -s
+    LDFLAGSd   = -static-intel
+endif
 
 # object files are built from the source list $(SRC)
 # a suffix is added for each build
@@ -64,7 +92,7 @@
 # OBJ
 $(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
 	@ mkdir -p $(objdir)
-	$(CXX) $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGSr) -c -o $@ $<
 
 # OBJd
 $(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
@@ -107,25 +135,25 @@
 release:  astyle
 astyle:  $(OBJ)
 	@ mkdir -p $(bindir)
-	$(CXX) -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 debug:  astyled
 astyled:  $(OBJd)
 	@ mkdir -p $(bindir)
-	$(CXX) -static-intel -o $(bindir)/$@ $^
+	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 shared:  libastyle.so
 libastyle.so:  $(OBJs)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 shareddebug:  libastyled.so
 libastyled.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 static:  libastyle.a
@@ -143,13 +171,13 @@
 java:  libastylej.so
 libastylej.so:  $(OBJsj)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -s -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
 javadebug:  libastylejd.so
 libastylejd.so:  $(OBJsjd)
 	@ mkdir -p $(bindir)
-	$(CXX) -shared -static-intel -o $(bindir)/$@ $^
+	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
 all:  release debug shared shareddebug static staticdebug
@@ -161,17 +189,24 @@
 
 cleanobj:
 	rm -f $(objdir)/*.o
-	
+
 install:
 	$(INSTALL) -m 755 -d $(ipath)
 	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
 
 	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
+	@mkdir -p $(SYSCONF_PATH)/html;
 	@for files in ../../doc/*.html  ../../doc/*.css; \
 	do \
-		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH); \
+		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
 	done
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi
 
 uninstall:
 	rm -f $(ipath)/astyle
 	rm -rf $(SYSCONF_PATH)
+	@if [ -d $(SYSCONF_PATH_OLD) ];  then \
+		rm -rf $(SYSCONF_PATH_OLD); \
+	fi
