=== debian/changelog ===
astyle (2.01-1) unstable; urgency=low

  * New upstream release. (Closes: #616710)
  * Update package description.
  * Update manpage.
  * Bump Standards-Version to 3.9.2
  * Convert debian/copyright to DEP5 format.
  * Switch to 3.0 (quilt) format.
  * Add VCS fields.
  * Avoid unneeded dependency on libgcc_s.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 12 May 2011 15:15:13 +0200

astyle (1.24-1) unstable; urgency=low

  * New upstream release.
    - Fix comma separated initialization bug (Closes: #569170)
  * Updated the manpage to reflect the new options.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 08 Apr 2010 20:40:00 +0200

astyle (1.23-1) unstable; urgency=low

  * New upstream release. (Closes: #522730)
  * Updated manpage to reflect new option.
  * Added NEWS file to warn about the changes.

 -- Margarita Manterola <marga@debian.org>  Fri, 07 Aug 2009 13:26:10 +0000

astyle (1.22-3) unstable; urgency=low

  * Fixed lintian warnings regarding hyphens in the manpage. 
  * Fixed the watch file for the new version. 

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Aug 2008 14:52:19 +0000

astyle (1.22-2) unstable; urgency=low

  * Fixed bug in the manpage, mixing -V and -v.  Thanks to Martin Ferrari 
    for the report. (Closes: #496790)
  * Updated Standards-Version to 3.8.0. 
    + Added README.source pointing to dpatch's README.source.gz

 -- Margarita Manterola <marga@debian.org>  Wed, 27 Aug 2008 14:03:03 +0000

astyle (1.22-1) unstable; urgency=low

  * New upstream release
    + Fix incorrect identification of bracket type following a struct
      statement. (Closes: #112546)
  * Added new "links.html" document to debian/astyle.docs
  * Changed debian/rules to use the new "buildgcc" directory.
  * Corrected the doc-base section. 

 -- Margarita Manterola <marga@debian.org>  Sun, 27 Apr 2008 13:58:37 +0000

astyle (1.21-3) unstable; urgency=low

  * Fixed debian/rules so that "nostrip" is honored by the build process. 
    (Closes: #436484)
  * Fixed the clean rule to actually call make clean. 

 -- Margarita Manterola <marga@debian.org>  Tue, 11 Mar 2008 17:51:07 +0000

astyle (1.21-2) unstable; urgency=low

  * New fix_for_gcc_4.3.dpatch, provided by Cyril Brulebois.
    (Closes: #455426)
  * Fixed watch file.
  * Added Homepage field to the Source package.
  * Updated Standards-Version (no changes needed).
  * Fixed debian/rules to not ignore make clean errors.
  * Fixed debian/copyright to have a copyright statement and make it machine
    parseable.  Added the years for the upstream authors and the debian
    maintainers.
  * Updated the doc-base section to reflect the new menu structure.

 -- Margarita Manterola <marga@debian.org>  Tue, 11 Mar 2008 17:34:44 +0000

astyle (1.21-1) unstable; urgency=low

  * New upstream release
    + Do not apply fix_for_gcc_4.3.dpatch, since it's now applied upstream.
    + Fix formatting of empty blocks. (Closes: #397799)

 -- Margarita Manterola <marga@debian.org>  Fri, 22 Jun 2007 17:49:56 -0300

astyle (1.20.2-2) unstable; urgency=low

  * New upstream release (now in unstable). (Closes: #412333).
    + Fix incorrect formatting for an empty comment (Closes: #415565).
  * Added debian/patches/fix_for_gcc_4.3.dpatch, fixing the dependencies
    for gcc 4.3 (Closes: #413481). Thanks to Martin Michlmayr for the
    report and the patch.

 -- Margarita Manterola <marga@debian.org>  Sun, 15 Apr 2007 14:12:30 -0300

astyle (1.20.2-1) experimental; urgency=low

   * New upstream release. (Would close: #412333)
   * Changed copyright file, astyle is now LGPL.
   * Updated the manpage to the current version.

 -- Margarita Manterola <marga@debian.org>  Tue, 13 Mar 2007 00:23:12 -0300 

astyle (1.18-1) unstable; urgency=low

  * New upstream release (Closes: #375760).
    + Doesn't remove leading spaces from multi-line comments.
      (Closes: #201655)
    + Fixed indentation problem with ending }; of class statements.
      (Closes: #270999)
    + Fixed extra space that was sometimes added when pad operators was
      used. (Closes: #118203)
    + Fixed problems detecting some keywords as "lock" or "get".
      (Closes: #355171)
  * Updated debhelper compatibility to level 5, no changes needed.
  * Updated Standards-Version to 3.7.2, no changes needed.
  * Updated the watch file.
  * Dropped 100_g++-3.4.dpatch, since it has been applied upstream.
  * Dropped 200_long_lines.dpatch, since it has been applied upstream.

 -- Margarita Manterola <marga@debian.org>  Sat, 15 Jul 2006 19:32:20 -0300

astyle (1.15.3-5) unstable; urgency=low

  * New upload to trigger a recompile due to the C++ transition.
  * Fixed debian/rules to comply better with policy. 
  * Updated debian/control to the latest policy version.

 -- Margarita Manterola <debian@marga.com.ar>  Tue,  4 Oct 2005 11:13:02 -0300

astyle (1.15.3-4) unstable; urgency=low

  * Added patch to support longer lines (closes: #187171).
  * Fixed typo in the manpage (closes: #238693).
  * Added patch to support g++-3.4 (closes: #266663).
  * Added dpatch to work with patches.
  * Fixed the watch and control files to match present policy.
  * New Maintainer - Adopting package (closes: #266457).

 -- Margarita Manterola <debian@marga.com.ar>  Thu, 21 Oct 2004 12:09:00 -0300

astyle (1.15.3-3) unstable; urgency=low

  * built with latest g++ 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 14 Jun 2003 11:27:20 -0700

astyle (1.15.3-2) unstable; urgency=low

  * the 'no new functionality' release
  * debian/watch: trivial change to handle sf.net brokeness 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 17:26:27 -0700

astyle (1.15.3-1) unstable; urgency=low

  * New upstream release
  * Note that the license has changed:
    was: (dual) GPL + Artistic
    is:  GPL only

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 23 Mar 2002 17:40:03 -0800

astyle (1.14.1-5) unstable; urgency=low

  * added a watch file 

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 26 Dec 2001 12:38:03 -0800


