=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 5.0)
Maintainer: Margarita Manterola <marga@debian.org>
Uploaders: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 3.9.2
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C++/C/Java/C# source code
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the command line tool.
