## astyle 2.03

=== build/gcc/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
+      ASLocalizer.cpp \
       ASResource.cpp
 
 # source directories
