=== debian/changelog ===
astyle (2.03-1) unstable; urgency=low

  * New upstream release. (Closes: #707889, #631966, LP: #1049606)
  * Update manpage.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 15 May 2013 00:10:00 -0400

astyle (2.02.1-2) unstable; urgency=low

  * Upload to unstable
  * manpage: highlight buggy --preserve-date (Closes: #686317)
  * Fix debian/changelog

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 05 May 2013 16:48:47 -0400

astyle (2.02.1-1) experimental; urgency=low

  [ Matteo Cypriani ]
  * New upstream release. (Closes: #649616)
  * Update manpage.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9.
  * debian/rules:
    + add CPPFLAGS to CFLAGS as expected by upstream build system.
    + add commented out DH_OPTIONS=-v for easy verbose build.
  * debian/copyright: update Format and dates.

  [ Thomas Preud'homme ]
  * Switch to a dh style rules file to provide build-{arch,indep} targets.
  * Fix the package to be able to build twice in a row.
  * Call make clean unconditionally in override_dh_auto_clean.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 14 Jan 2013 17:52:11 -0500
