=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: astyle
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 5.0)
+Build-Depends: debhelper (>= 9)
 Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Matteo Cypriani <mcy@lm7.fr>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://astyle.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git
